# Crypto Exchange Endpoint

## Crypto Exchange Endpoint

<mark style="color:blue;">`GET`</mark> `https://api-stg.directa24.com/v3/exchange_rates/crypto?currency={currency}&amount={amount}&crypto={crypto}`

The Crypto Exchange endpoint allows you to get the exchange of any crypto currency compared against USD or any other local currency.

#### Query Parameters

| Name     | Type   | Description                                                                                                                   |
| -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------- |
| currency | string | USD or the country's local currency that will be used by the payer                                                            |
| amount   | number | Amount in the previously specified currency. Used to calculate the exchange in the cryptocurrency specified below. Default: 1 |
| crypto   | string | Cryptocurrency symbol in which the amount will be converted to                                                                |

#### Headers

| Name          | Type   | Description                   |
| ------------- | ------ | ----------------------------- |
| Authorization | string | "Bearer " + Read-Only API Key |

{% tabs %}
{% tab title="200 Currency exchange correctly returned." %}

```java
{
  "fx_rate": 5.8829,
  "converted_amount": 58.829,
  "fee": 0.64
}
```

{% endtab %}

{% tab title="401 Invalid credentials error" %}

```java
{
    "code": 100,
    "description": "Invalid credentials"
}
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
Please find all the country and currencies codes in the [Countries Specifications](/specifications/countries-specifications.md#details) section.
{% endhint %}

## Description

The **Crypto Exchange Endpoint** allows you to convert any amount in USD or Local Currency to the specified Cryptocurrency.

## Request

In order to start using the Crypto Exchange endpoint, you need to:

1. Send the request with **GET** method.
2. Specify a [valid currency code](/specifications/countries-specifications.md#countries-and-currencies) in the request as **QUERY PARAMS**.
3. Specify the amount to convert.\* If it's not specified, 1 is assumed.
4. Specify a valid cryptocurrency symbol that will be converted the amount to.
5. Send the **Authorization** header with your read-only API Key as Bearer as follows:

> Authorization: Bearer *your\_read\_only\_key\_here*

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request GET 'https://api-stg.directa24.com/v3/exchange_rates/crypto?currency=BRL&crypto=USDT' \
--header 'Authorization: Bearer your_read_only_key_here'


```

{% endtab %}

{% tab title="JAVA" %}

```java
import java.io.*;
import okhttp3.*;

public class main {
  public static void main(String []args) throws IOException{
    OkHttpClient client = new OkHttpClient().newBuilder()
      .build();
    Request request = new Request.Builder()
      .url("https://api-stg.directa24.com/v3/exchange_rates/crypto?currency=BRL&amount=1000&crypto=USDT")
      .method("GET", null)
      .addHeader("Authorization", "Bearer your_read_only_key_here")
      .build();
    Response response = client.newCall(request).execute();
    System.out.println(response.body().string());
  }
}


```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using RestSharp;

namespace HelloWorldApplication {
    class HelloWorld {
        static void Main(string[] args) {
            var client = new RestClient("https://api-stg.directa24.com/v3/exchange_rates/crypto?currency=BRL&amount=1000&crypto=USDT");
            client.Timeout = -1;
            var request = new RestRequest(Method.GET);
            request.AddHeader("Authorization", "Bearer your_read_only_key_here");
            IRestResponse response = client.Execute(request);
            Console.WriteLine(response.Content);
        }
    }
}


```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api-stg.directa24.com/v3/exchange_rates/crypto?currency=BRL&amount=1000&crypto=USDT",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => array(
    "Authorization: Bearer your_read_only_key_here"
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;



```

{% endtab %}
{% endtabs %}

## Example Response

```java
{
  "fx_rate": 5.8829,
  "converted_amount": 58.829,
  "fee": 0.64
}
```

###

### Response fields

| Field name         | Format | Description                                                    |
| ------------------ | ------ | -------------------------------------------------------------- |
| `fx_rate`          | Number | Exchange rate of the cryptocurrency against the base currency  |
| `converted_amount` | Number | Amount in the cryptocurrency specified. Default: 1             |
| `fee`              | Number | Fee for converting the specified amount to the cryptocurrency. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-documentation/deposits-api/endpoints/crypto-exchange-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
